#
# spec file for package python-wokkel
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-wokkel
Version:        0.7.1
Release:        3.3
Url:            http://wokkel.ik.nu/
Summary:        Twisted Jabber support library
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/w/wokkel/wokkel-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-Twisted
BuildRequires:  python-devel
BuildRequires:  python-python-dateutil
BuildRequires:  python-setuptools
Requires:       python-Twisted
Requires:       python-python-dateutil
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Wokkel is collection of enhancements on top of the Twisted networking
framework, written in Python. It mostly provides a testing ground for
enhancements to the Jabber/XMPP protocol implementation as found in Twisted
Words, that are meant to eventually move there.

%prep
%setup -q -n wokkel-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}%{python_sitelib}/wokkel/test # Don't package testsuite

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README doc/examples
%{python_sitelib}/*

%changelog
* Fri Feb 26 2016 tbechtold@suse.com
- Require python-python-dateutil. package was renamed
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jan 14 2013 p.drouand@gmail.com
- Update to 0.7.1:
  + See file NEWS
* Mon Jun 25 2012 saschpe@suse.de
- Update to version 0.7.0:
  + See file NEWS
* Thu Sep 22 2011 saschpe@suse.de
- Update to version 0.6.0:
  + Server-to-server support, based on the dialback protocol (#33).
  + Enhancement to InternalProtocol to support multiple domains (#43).
  + Publish-subscribe request abstraction (#45).
  + Publish-subscribe abstraction to implement a node in code (#47).
  + Enhancement to PubSubClient to send requests from a specific JID (#46).
  + Remove type interpretation in Data Forms field parsing code (#44).
- Package NEWS, LICENSE, README and examples
- Don't package testsuite
* Mon Jun  6 2011 pascal.bleser@opensuse.org
- initial version (0.4.0)
